Я только что установил Ubuntu Impish на свой рабочий ноутбук. Мне было интересно, почему мой apt update работает так медленно. Немного покопавшись, я обнаружил, что кто-то предложил изменить сервер имен, чтобы он указывал на 8.8.8.8. После соответствующего изменения файла /etc/resolv.conf обновле....
askubuntu 11 Янв 2022 в 02:30
Я получаю известное сообщение об ошибке E: The repository 'http://ubunturepo.office.tho.com/apt.puppetlabs.com focal Release' does not have a Release file. Хотя файл Release уже есть. Вот файл конфигурации для /etc/apt/sources.list: deb http://ubunturepo.office.tho.com/apt.puppetlabs.com focal pup....
Убедительно прошу кого-нибудь опытного помочь мне в следующем болезненном вопросе. Недавно мое автоматическое средство обновления программного обеспечения предложило мне обновить linux-firmware. Обновление не удалось, и с тех пор я получаю такое сообщение при каждом обновлении. Я пытался найти ре....
Я использую Ubuntu 20.04 и имею список имен пакетов, для которых я хочу проверить, является ли он частью репозитория Ubuntu по умолчанию. Пока я повторяю проверку списка с помощью следующего скрипта: #!/bin/bash input="modified_list.txt" RED='\033[0;31m' NC='\033[0m' if [ ! -f $input ]; then ....
Я выполнил следующую команду для установки GNOME Vanilla на Ubuntu 21.10: sudo apt install vanilla-gnome-desktop Это сработало успешно, и я смог войти в GNOME 40.4. Но я получил случайную ошибку dpkg, а именно: update-alternatives: error: no alternatives for gdm3-theme.gresource dpkg: error process....
Я хочу перечислить список пакетов установки и обновления с датой и именем репо. У меня есть несколько репозиториев на моем сервере, некоторые из них я хочу ежедневно сканировать и перечислять, какие пакеты устанавливаются, когда они установлены и какое репо используется для этого. любая помощь, пож....
У моего сервера Ubuntu 21.10 нет интернета. К сожалению, в дистрибутиве отсутствует основной пакет для обнаружения проблем с маршрутом и других сетевых проблем. Поэтому я не могу знать, какой реальный маршрут имеет мой сервер, потому что отсутствует команда маршрута. Однако теперь я вижу свой серв....
Я пытаюсь установить аутентификатор Google на Ubuntu. Я попробовал sudo apt install libpam-google-authenticator, что привело к ошибке sudo: apt: command not found. Разве apt уже не должен быть установлен в Ubuntu? Я пробовал несколько команд с apt. Осторожно, я новичок в Linux. Когда я использую ....
У меня есть несколько десятков ящиков Debian, которые я хочу детерминистически обновлять, а также следовать процедуре Engineering => Pre-Prod => Prod с детерминированным промежуточным процессом. В идеале для меня было бы иметь под рукой какой-то «идентификатор уровня исправления», например 2022-01-1....
serverfault 9 Янв 2022 в 13:35
Я являюсь пользователем obs, Open Broadcaster Software. Я использую 32-битную ОС Raspbian Bullseye. Я установил OBS с помощью этой команды: sudo apt-get install obs-studio && sudo apt-get install obs-build && sudo apt-get install obs-plugins Но когда я запускаю OBS, я вижу следующее: pi@raspberryp....
raspberrypi 8 Янв 2022 в 13:35
Я пытаюсь установить dnsutils на Raspberry Pi через sudo apt-get install dnsutils И я получаю следующие сообщения об ошибках: Err:1 http://raspbian.raspberrypi.org/raspbian buster/main armhf libirs161 armhf 1:9.11.5.P4+dfsg-5.1+deb10u1 404 Not Found [IP: 93.93.128.193 80] Err:2 http://raspbian.r....
unix 8 Янв 2022 в 09:09
Я нашел эту статью Невозможно установить wine32 из-за сломанных пакетов но это не совсем конец истории для меня. После изучения деревьев зависимостей кажется, что основной причиной была более старая установка gcc-11 на предшественнике 18.04, содержащем основные библиотеки. The following packages h....
askubuntu 7 Янв 2022 в 06:29
При попытке обновить Ubuntu 21.10, запустив apt upgrade от имени пользователя root, я получаю следующую ошибку: dpkg: error processing archive /var/cache/apt/archives/login_1%3a4.8.1-1ubuntu9_amd64.deb (--unpack): unable to create '/usr/share/man/zh_CN/man1/login.1.gz.dpkg-new' (while processing '.....
askubuntu 7 Янв 2022 в 01:38
Я хочу загрузить все (рекурсивные) зависимости сборки, чтобы иметь возможность собрать пакет apt (debian) из исходного кода. Однако, когда я apt-get install path/*.debs с дебами, которые я получил apt build-dep --download-only --assume-yes <package>, apt находит дополнительные пакеты для установки ....
Я массово устанавливаю пакеты apt-get из «packages.txt» (или называйте это как хотите), как описано в Использование файла для установки пакетов с помощью apt-get. Комментируя apt-пакет «терминатор»: iceweasel #terminator vim Выдает ошибку: The command '/bin/sh -c xargs -a /tmp/packages.txt apt-get ....
unix 5 Янв 2022 в 17:28
sudo apt install build-essential Reading package lists... Done Building dependency tree... Done Reading state information... Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required pack....
unix 5 Янв 2022 в 17:04
Сегодня я, наконец, догадался, почему, когда я пытался установить набор пакетов Debian, загруженных с зависимостями, например. apt-get install --download-only --assume-yes libssl-dev даже с пустым файлом состояния dpkg (много файлов deb), тем не менее при установке я один раз (и сегодня снова) не с....
unix 4 Янв 2022 в 16:54
Я устанавливаю пакет fcgiwrap в образ Docker nginx (на основе Debian Bullseye), и некоторые файлы отсутствуют. Это, вероятно, что-то очевидное, но я не могу найти объяснение, вот все, что я пробовал: 1. Создание образа Docker с пакетом FROM nginx:latest RUN apt-get update \ && apt-get -q insta....
unix 3 Янв 2022 в 06:00
Sudo apt upgrade приводит к: «Следующие пакеты были сохранены: grub-common grub-pc grub-pc-bin grub2-common shim shim-signed»: michael@elementaryOS-phy:/$ sudo apt upgrade Reading package lists... Done Building dependency tree Reading state information... Done Calculating upgrade... Done The ....
У меня есть сервер только для ipv6, и я хочу обновить систему. Но если я выполню apt update, я получу следующее сообщение: Fehl:1 http://deb.debian.org/debian bullseye InRelease »deb.debian.org« konnte nicht aufgelöst werden. Fehl:2 http://deb.debian.org/debian bullseye-updates InRelease »deb.d....
unix 2 Янв 2022 в 21:48
Недавно я попытался установить surfshark-vpn и openvpn3, используя следующие руководства. https://surfshark.com/blog/how-to-set-up-a-vpn-on-linux https://openvpn.net/cloud-docs/openvpn-3 -client-for-linux/ (я чувствую, что что-то в этом руководстве может быть проблемой) Но с тех пор apt и apt-get н....
unix 31 Дек 2021 в 03:59
Растяжка Debian; 1.4.11 $ apt-cache rdepends --installed libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-bad1.0-0 Reverse Depends: libwebkit2gtk-4.0-37 libwebkit2gtk-4.0-37 Есть идеи, почему пакет libwebkit2gtk-4.0-37 появляется здесь дважды? Я получаю аналогичные результаты от Aptitude: ....
unix 30 Дек 2021 в 08:51
https://askubuntu.com/questions/128524/how-to-list- dependency-packages-reverse-dependencies советует apt-cache rdepends, но не объясняет, как интерпретировать вывод. Вывод состоит из строк без отступов и двух пробелов один. Но зависимости образуют древовидную структуру, есть ли способ увидеть ре....
unix 28 Дек 2021 в 10:55
Я хотел бы использовать apt-cacher в качестве локального прокси-сервера пакета. Особенно, когда я пересобираю мой образ Docker несколько раз подряд. В моей системе установлено и работает apt-cacher. Я установил свой прокси-адрес: http://melroy-pc:3142 (melroy-pc — это имя моего хоста). В моем слу....
unix 28 Дек 2021 в 04:11
Я пытаюсь обновить хром на debian, и он говорит мне, когда я запускаю apt install chromium-browser Я получаю эту ошибку: Reading package lists... Done Building dependency tree Reading state information... Done Package chromium-browser is not available, but is referred to by another package. This ma....
unix 27 Дек 2021 в 19:23